folders

36 endpoints
DELETE/rest/folders

Delete a list of folders

Deletes multiple folders specified in the request.

Parameters
Query Parameters
id:in
Required
string

A comma-separated list of unique identifiers for the entities to be processed.. A comma-separated list of unique identifiers for the entities to be processed.

partialSuccess
Optional
boolean

If set to true, the operation will continue for the valid items even if some items result in failure.

mode
Optional
string

Determines the detail level of the response body.


Responses

The specified folders were deleted. No content is returned.

Empty response body.

Request blocked by WAF

Empty response body.
Shell
curl -X DELETE \
  "https://{instance}.kiteworks.com/rest/folders?id:in=VALUE" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

url = "https://{instance}.kiteworks.com/rest/folders"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
params = {
    "id:in": "VALUE",
}
response = requests.delete(url, params=params, headers=headers)
print(response.json())
Responses
// Request successful - No Body
// Error - No Body
DELETE/rest/folders/actions/permanent

Permanently delete the specified folders

Permanently delete the specified folders.
These folders will no longer be accessible by any means.

Parameters
Query Parameters
id:in
Required
string

A comma-separated list of unique identifiers for the entities to be processed.. A comma-separated list of unique identifiers for the entities to be processed.

partialSuccess
Optional
boolean

If set to true, the operation will continue for the valid items even if some items result in failure.

mode
Optional
string

Determines the detail level of the response body.


Responses

The specified folders were permanently deleted. No content is returned.

Empty response body.

Request blocked by WAF

Empty response body.
Shell
curl -X DELETE \
  "https://{instance}.kiteworks.com/rest/folders/actions/permanent?id:in=VALUE" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

url = "https://{instance}.kiteworks.com/rest/folders/actions/permanent"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
params = {
    "id:in": "VALUE",
}
response = requests.delete(url, params=params, headers=headers)
print(response.json())
Responses
// Request successful - No Body
// Error - No Body
PATCH/rest/folders/actions/recover

Recover deleted folders

Recover deleted folders and their children files and folders.

Parameters
Query Parameters
id:in
Required
string

A comma-separated list of unique identifiers for the entities to be processed.. A comma-separated list of unique identifiers for the entities to be processed.

partialSuccess
Optional
boolean

If set to true, the operation will continue for the valid items even if some items result in failure.

returnEntity
Optional
boolean

If set to true, returns information about the newly created entity.

mode
Optional
string

Determines the detail level of the response body.


Responses

Returns the list of recovered folders with their updated metadata.

id
string

Unique identifier (UUID) of the folder.

parentId
string

Unique identifier (UUID) of the parent object.

name
string

Name of the object.

type
string

Type of the object.
f – File.
d – Folder.

userId
string

Unique identifier (UUID) who created the folder.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

The date and time when the object was created.

modified
string

The date and time when the object was last modified.

expire
string

Expiration timestamp of the object, if applicable.

id
integer

Unique identifier for the permission.

name
string

Name of the permission.

allowed
boolean

Indicates whether the permission is granted (True) or denied (False).

deleted
boolean

Indicates whether the object has been deleted.

permDeleted
boolean

Indicates whether the object has been permanently deleted.

permalink
string

Permanent URL link to access the object.

path
string

Path to the folder in the hierarchy.

objectId
string

Unique identifier (UUID) of the associated object (file or folder).

roleId
integer

Role assigned to the member.

userId
string

Unique identifier (UUID) of the user.

groupId
integer

Unique identifier of the LDAP group.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

id
integer

LDAP Group ID

name
string

LDAP Group name

dn
string

LDAP Group domain name

email
string

LDAP Group email

description
string

LDAP Group description

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

Date when the file or folder was shared.

inheritRoleId
integer

Inherited role ID from the parent folder, if applicable.

allowedFolderRoleId
integer[]

List of allowed folder role IDs.

email
string

Email associated with the member.

rank
integer

Rank of the member role.

originFolder
any
vendorDocId
string

Vendor document ID associated with the object.

vendorDocName
string

Name of the vendor document associated with the object.

secure
boolean

Indicates whether the folder or the parent folder containing the file is marked as secure.

source
integer

ID representing the source of the object (1 - Salesforce, 2 - Teams).

isShared
boolean

Indicates if the folder is shared with other users.

syncable
boolean

Indicates if the folder can be synced by Desktop Sync Client.

fileLifetime
integer

Time duration (in days) for which the files in this folder are kept after being added to the folder.

description
string

The description of the folder.

isFavorite
boolean

Indicates if the folder is marked as a favorite by the user.

pushedFilesCount
integer

The number of files that have been pushed to mobile apps in this folder.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

avStatus
string

The Antivirus (AV) status of the folder.

dlpStatus
string

The Data Loss Prevention (DLP) status of the folder.

totalMembersCount
integer

Total number of members who have access to this folder.

totalFoldersCount
integer

Total number of subfolders within this folder.

totalFilesCount
integer

Total number of files within this folder.

maxFolderExpiration
string

The maximum expiration date allowed for files in this folder.

maxFileLifetime
integer

The maximum duration (in days) that files in this folder can be kept after being added to the folder.

isLdapGroupMember
boolean

Indicates if the folder is part of an LDAP group.

isUnderMyFolder
boolean

Indicates if this folder is a subfolder of the user's "My Folder".

pathIds
string

A list of IDs representing the path of the folder within the folder hierarchy.

isRoot
boolean

Indicates if this folder is a root folder.

rootId
string

The ID of the root folder if this is a subfolder.

useFolderQuota
boolean

Indicates if a folder quota is applied to this folder.

quota
integer

The storage quota for the folder (in bytes).

size
integer

The total storage size used by the folder (in bytes).

freeSpace
integer

The amount of free space available in the folder (in bytes).

inheritanceEnabled
boolean

Indicates if a folder inherits permissions from the parent folder

total
integer

Total number of items available.

limit
integer

Maximum number of items returned per page.

offset
integer

Number of items skipped before the current page.

Request blocked by WAF

Empty response body.
Shell
curl -X PATCH \
  "https://{instance}.kiteworks.com/rest/folders/actions/recover?id:in=VALUE" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

url = "https://{instance}.kiteworks.com/rest/folders/actions/recover"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
params = {
    "id:in": "VALUE",
}
response = requests.patch(url, params=params, headers=headers)
print(response.json())
Responses
[ { "id": "abc12345def67890ab", "name": "Reports", "type": "d", "parent_id": "xyz98765cba43210fe", "deleted": false, "modified": "2024-07-01T10:00:00+0000", "avStatus": "clean", "dlpStatus": "clean" } ]
// Error - No Body
POST/rest/folders/actions/scan

Triggers on demand AV/DLP scan on multiple folders

Attempts to trigger an AV/DLP scan on requested folders.

Parameters
Query Parameters
returnEntity
Optional
boolean

If set to true, returns information about the newly created entity.

id:in
Required
string

List of IDs of entities to scan. Search for results that match any of the specified values for this parameter.

with
Optional
string

With parameters

mode
Optional
string

Determines the detail level of the response body.


Responses

Returns the list of folders with their scan status updated to reflect that scans have been triggered.

id
string

Unique identifier (UUID) of the folder.

parentId
string

Unique identifier (UUID) of the parent object.

name
string

Name of the object.

type
string

Type of the object.
f – File.
d – Folder.

userId
string

Unique identifier (UUID) who created the folder.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

The date and time when the object was created.

modified
string

The date and time when the object was last modified.

expire
string

Expiration timestamp of the object, if applicable.

id
integer

Unique identifier for the permission.

name
string

Name of the permission.

allowed
boolean

Indicates whether the permission is granted (True) or denied (False).

deleted
boolean

Indicates whether the object has been deleted.

permDeleted
boolean

Indicates whether the object has been permanently deleted.

permalink
string

Permanent URL link to access the object.

path
string

Path to the folder in the hierarchy.

objectId
string

Unique identifier (UUID) of the associated object (file or folder).

roleId
integer

Role assigned to the member.

userId
string

Unique identifier (UUID) of the user.

groupId
integer

Unique identifier of the LDAP group.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

id
integer

LDAP Group ID

name
string

LDAP Group name

dn
string

LDAP Group domain name

email
string

LDAP Group email

description
string

LDAP Group description

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

Date when the file or folder was shared.

inheritRoleId
integer

Inherited role ID from the parent folder, if applicable.

allowedFolderRoleId
integer[]

List of allowed folder role IDs.

email
string

Email associated with the member.

rank
integer

Rank of the member role.

originFolder
any
vendorDocId
string

Vendor document ID associated with the object.

vendorDocName
string

Name of the vendor document associated with the object.

secure
boolean

Indicates whether the folder or the parent folder containing the file is marked as secure.

source
integer

ID representing the source of the object (1 - Salesforce, 2 - Teams).

isShared
boolean

Indicates if the folder is shared with other users.

syncable
boolean

Indicates if the folder can be synced by Desktop Sync Client.

fileLifetime
integer

Time duration (in days) for which the files in this folder are kept after being added to the folder.

description
string

The description of the folder.

isFavorite
boolean

Indicates if the folder is marked as a favorite by the user.

pushedFilesCount
integer

The number of files that have been pushed to mobile apps in this folder.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

avStatus
string

The Antivirus (AV) status of the folder.

dlpStatus
string

The Data Loss Prevention (DLP) status of the folder.

totalMembersCount
integer

Total number of members who have access to this folder.

totalFoldersCount
integer

Total number of subfolders within this folder.

totalFilesCount
integer

Total number of files within this folder.

maxFolderExpiration
string

The maximum expiration date allowed for files in this folder.

maxFileLifetime
integer

The maximum duration (in days) that files in this folder can be kept after being added to the folder.

isLdapGroupMember
boolean

Indicates if the folder is part of an LDAP group.

isUnderMyFolder
boolean

Indicates if this folder is a subfolder of the user's "My Folder".

pathIds
string

A list of IDs representing the path of the folder within the folder hierarchy.

isRoot
boolean

Indicates if this folder is a root folder.

rootId
string

The ID of the root folder if this is a subfolder.

useFolderQuota
boolean

Indicates if a folder quota is applied to this folder.

quota
integer

The storage quota for the folder (in bytes).

size
integer

The total storage size used by the folder (in bytes).

freeSpace
integer

The amount of free space available in the folder (in bytes).

inheritanceEnabled
boolean

Indicates if a folder inherits permissions from the parent folder

total
integer

Total number of items available.

limit
integer

Maximum number of items returned per page.

offset
integer

Number of items skipped before the current page.

Request blocked by WAF

Empty response body.
Shell
curl -X POST \
  "https://{instance}.kiteworks.com/rest/folders/actions/scan?id:in=VALUE" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

url = "https://{instance}.kiteworks.com/rest/folders/actions/scan"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
params = {
    "id:in": "VALUE",
}
response = requests.post(url, params=params, headers=headers)
print(response.json())
Responses
[ { "id": "abc12345def67890ab", "name": "Reports", "type": "d", "parent_id": "xyz98765cba43210fe", "deleted": false, "avStatus": "pending", "dlpStatus": "pending" }, { "id": "def67890abc12345fe", "name": "Archives", "type": "d", "parent_id": "xyz98765cba43210fe", "deleted": false, "avStatus": "pending", "dlpStatus": "pending" } ]
// Error - No Body
GET/rest/folders/shared

List top level shared folders

Return the list of top level shared folders.

Parameters
Query Parameters
name
Optional
string

Folder name

name:contains
Optional
string

Folder name. Search for results that contain the specified characters in this parameter.

userId
Optional
string

Unique identifier of Object creator

userId:in
Optional
string

Unique identifier of Object creator. Search for results that match any of the specified values for this parameter.

created
Optional
string

Object creation date

created:gt
Optional
string

Object creation date. Search for results where this parameter value is greater than the specified value.

created:gte
Optional
string

Object creation date. Search for results where this parameter value is greater than or equal to the specified value.

created:lt
Optional
string

Object creation date. Search for results where this parameter value is less than the specified value.

created:lte
Optional
string

Object creation date. Search for results where this parameter value is less than or equal to the specified value.

modified
Optional
string

Object modification date

modified:gt
Optional
string

Object modification date. Search for results where this parameter value is greater than the specified value.

modified:gte
Optional
string

Object modification date. Search for results where this parameter value is greater than or equal to the specified value.

modified:lt
Optional
string

Object modification date. Search for results where this parameter value is less than the specified value.

modified:lte
Optional
string

Object modification date. Search for results where this parameter value is less than or equal to the specified value.

deleted
Optional
boolean

Indicates whether the object is deleted.

expire
Optional
integer

Expiration date

expire:gt
Optional
integer

Expiration date. Search for results where this parameter value is greater than the specified value.

expire:gte
Optional
integer

Expiration date. Search for results where this parameter value is greater than or equal to the specified value.

expire:lt
Optional
integer

Expiration date. Search for results where this parameter value is less than the specified value.

expire:lte
Optional
integer

Expiration date. Search for results where this parameter value is less than or equal to the specified value.

fileLifetime
Optional
integer

Folder lifetime

fileLifetime:gt
Optional
integer

Folder lifetime. Search for results where this parameter value is greater than the specified value.

fileLifetime:gte
Optional
integer

Folder lifetime. Search for results where this parameter value is greater than or equal to the specified value.

fileLifetime:lt
Optional
integer

Folder lifetime. Search for results where this parameter value is less than the specified value.

fileLifetime:lte
Optional
integer

Folder lifetime. Search for results where this parameter value is less than or equal to the specified value.

secure
Optional
boolean

Folder secure flag

description:contains
Optional
string

Folder description. Search for results that contain the specified characters in this parameter.

sharedByMe
Optional
boolean

Filter shared folders by direction. Use true to return only folders shared by me, false for folders shared with me, or omit to return both.

orderBy
Optional
string[]

Sorting options

offset
Optional
integer

Offset

limit
Optional
integer

Limit

with
Optional
string

With parameters

mode
Optional
string

Determines the detail level of the response body.


Responses

Returns a paginated list of top-level folders shared with the current user.

id
string

Unique identifier (UUID) of the folder.

parentId
string

Unique identifier (UUID) of the parent object.

name
string

Name of the object.

type
string

Type of the object.
f – File.
d – Folder.

userId
string

Unique identifier (UUID) who created the folder.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

The date and time when the object was created.

modified
string

The date and time when the object was last modified.

expire
string

Expiration timestamp of the object, if applicable.

id
integer

Unique identifier for the permission.

name
string

Name of the permission.

allowed
boolean

Indicates whether the permission is granted (True) or denied (False).

deleted
boolean

Indicates whether the object has been deleted.

permDeleted
boolean

Indicates whether the object has been permanently deleted.

permalink
string

Permanent URL link to access the object.

path
string

Path to the folder in the hierarchy.

objectId
string

Unique identifier (UUID) of the associated object (file or folder).

roleId
integer

Role assigned to the member.

userId
string

Unique identifier (UUID) of the user.

groupId
integer

Unique identifier of the LDAP group.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

id
integer

LDAP Group ID

name
string

LDAP Group name

dn
string

LDAP Group domain name

email
string

LDAP Group email

description
string

LDAP Group description

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

Date when the file or folder was shared.

inheritRoleId
integer

Inherited role ID from the parent folder, if applicable.

allowedFolderRoleId
integer[]

List of allowed folder role IDs.

email
string

Email associated with the member.

rank
integer

Rank of the member role.

originFolder
any
vendorDocId
string

Vendor document ID associated with the object.

vendorDocName
string

Name of the vendor document associated with the object.

secure
boolean

Indicates whether the folder or the parent folder containing the file is marked as secure.

source
integer

ID representing the source of the object (1 - Salesforce, 2 - Teams).

isShared
boolean

Indicates if the folder is shared with other users.

syncable
boolean

Indicates if the folder can be synced by Desktop Sync Client.

fileLifetime
integer

Time duration (in days) for which the files in this folder are kept after being added to the folder.

description
string

The description of the folder.

isFavorite
boolean

Indicates if the folder is marked as a favorite by the user.

pushedFilesCount
integer

The number of files that have been pushed to mobile apps in this folder.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

avStatus
string

The Antivirus (AV) status of the folder.

dlpStatus
string

The Data Loss Prevention (DLP) status of the folder.

totalMembersCount
integer

Total number of members who have access to this folder.

totalFoldersCount
integer

Total number of subfolders within this folder.

totalFilesCount
integer

Total number of files within this folder.

maxFolderExpiration
string

The maximum expiration date allowed for files in this folder.

maxFileLifetime
integer

The maximum duration (in days) that files in this folder can be kept after being added to the folder.

isLdapGroupMember
boolean

Indicates if the folder is part of an LDAP group.

isUnderMyFolder
boolean

Indicates if this folder is a subfolder of the user's "My Folder".

pathIds
string

A list of IDs representing the path of the folder within the folder hierarchy.

isRoot
boolean

Indicates if this folder is a root folder.

rootId
string

The ID of the root folder if this is a subfolder.

useFolderQuota
boolean

Indicates if a folder quota is applied to this folder.

quota
integer

The storage quota for the folder (in bytes).

size
integer

The total storage size used by the folder (in bytes).

freeSpace
integer

The amount of free space available in the folder (in bytes).

inheritanceEnabled
boolean

Indicates if a folder inherits permissions from the parent folder

total
integer

Total number of items available.

limit
integer

Maximum number of items returned per page.

offset
integer

Number of items skipped before the current page.

Request blocked by WAF

Empty response body.
Shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/folders/shared" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

url = "https://{instance}.kiteworks.com/rest/folders/shared"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
Responses
[ { "id": "abc12345def67890ab", "name": "Team Workspace", "description": "Shared team files", "type": "d", "parent_id": "xyz98765cba43210fe", "deleted": false, "created": "2024-01-10T09:00:00+0000", "modified": "2024-06-20T11:30:00+0000", "syncable": false, "secure": false, "isFavorite": true, "isShared": true, "totalFilesCount": 25, "totalFoldersCount": 5, "totalMembersCount": 8, "avStatus": "clean", "dlpStatus": "clean" } ]
// Error - No Body
POST/rest/folders/{id}/actions/move

Move a folder

Description:

Moves the specified folder to a new destination folder.

Precondition:

User must have `folder_move` permission for the folder being moved. User must have `folder_add` permission for the destination folder.

Response:

The folder is moved to the destination folder.
Parameters
Path Parameters
id
Required
string

The unique identifier (UUID) of the entity.

Query Parameters
returnEntity
Optional
boolean

If true, includes the entity in the response body.

with
Optional
string

Specifies additional fields to include in the response.

mode
Optional
string

Determines the detail level of the response body.


Request Body
destinationFolderId
Required
string

The ID of the destination folder where the item will be copied/moved.

addVersion
boolean

If a file with the same name exists, create a new version instead of overwriting it. Default is True.


Responses

Folder successfully moved

id
string

Unique identifier (UUID) of the folder.

parentId
string

Unique identifier (UUID) of the parent object.

name
string

Name of the object.

type
string

Type of the object.
f – File.
d – Folder.

userId
string

Unique identifier (UUID) who created the folder.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

The date and time when the object was created.

modified
string

The date and time when the object was last modified.

expire
string

Expiration timestamp of the object, if applicable.

id
integer

Unique identifier for the permission.

name
string

Name of the permission.

allowed
boolean

Indicates whether the permission is granted (True) or denied (False).

deleted
boolean

Indicates whether the object has been deleted.

permDeleted
boolean

Indicates whether the object has been permanently deleted.

permalink
string

Permanent URL link to access the object.

path
string

Path to the folder in the hierarchy.

objectId
string

Unique identifier (UUID) of the associated object (file or folder).

roleId
integer

Role assigned to the member.

userId
string

Unique identifier (UUID) of the user.

groupId
integer

Unique identifier of the LDAP group.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

id
integer

LDAP Group ID

name
string

LDAP Group name

dn
string

LDAP Group domain name

email
string

LDAP Group email

description
string

LDAP Group description

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

Date when the file or folder was shared.

inheritRoleId
integer

Inherited role ID from the parent folder, if applicable.

allowedFolderRoleId
integer[]

List of allowed folder role IDs.

email
string

Email associated with the member.

rank
integer

Rank of the member role.

originFolder
any
vendorDocId
string

Vendor document ID associated with the object.

vendorDocName
string

Name of the vendor document associated with the object.

secure
boolean

Indicates whether the folder or the parent folder containing the file is marked as secure.

source
integer

ID representing the source of the object (1 - Salesforce, 2 - Teams).

isShared
boolean

Indicates if the folder is shared with other users.

syncable
boolean

Indicates if the folder can be synced by Desktop Sync Client.

fileLifetime
integer

Time duration (in days) for which the files in this folder are kept after being added to the folder.

description
string

The description of the folder.

id
string

Unique identifier (UUID) of the folder.

parentId
string

Unique identifier (UUID) of the parent object.

name
string

Name of the object.

type
string

Type of the object.
f – File.
d – Folder.

userId
string

Unique identifier (UUID) who created the folder.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

The date and time when the object was created.

modified
string

The date and time when the object was last modified.

expire
string

Expiration timestamp of the object, if applicable.

id
integer

Unique identifier for the permission.

name
string

Name of the permission.

allowed
boolean

Indicates whether the permission is granted (True) or denied (False).

deleted
boolean

Indicates whether the object has been deleted.

permDeleted
boolean

Indicates whether the object has been permanently deleted.

permalink
string

Permanent URL link to access the object.

path
string

Path to the folder in the hierarchy.

objectId
string

Unique identifier (UUID) of the associated object (file or folder).

roleId
integer

Role assigned to the member.

userId
string

Unique identifier (UUID) of the user.

groupId
integer

Unique identifier of the LDAP group.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

id
integer

LDAP Group ID

name
string

LDAP Group name

dn
string

LDAP Group domain name

email
string

LDAP Group email

description
string

LDAP Group description

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

Date when the file or folder was shared.

inheritRoleId
integer

Inherited role ID from the parent folder, if applicable.

allowedFolderRoleId
integer[]

List of allowed folder role IDs.

email
string

Email associated with the member.

rank
integer

Rank of the member role.

originFolder
any
vendorDocId
string

Vendor document ID associated with the object.

vendorDocName
string

Name of the vendor document associated with the object.

secure
boolean

Indicates whether the folder or the parent folder containing the file is marked as secure.

source
integer

ID representing the source of the object (1 - Salesforce, 2 - Teams).

isShared
boolean

Indicates if the folder is shared with other users.

syncable
boolean

Indicates if the folder can be synced by Desktop Sync Client.

fileLifetime
integer

Time duration (in days) for which the files in this folder are kept after being added to the folder.

description
string

The description of the folder.

isFavorite
boolean

Indicates if the folder is marked as a favorite by the user.

pushedFilesCount
integer

The number of files that have been pushed to mobile apps in this folder.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

avStatus
string

The Antivirus (AV) status of the folder.

dlpStatus
string

The Data Loss Prevention (DLP) status of the folder.

totalMembersCount
integer

Total number of members who have access to this folder.

totalFoldersCount
integer

Total number of subfolders within this folder.

totalFilesCount
integer

Total number of files within this folder.

maxFolderExpiration
string

The maximum expiration date allowed for files in this folder.

maxFileLifetime
integer

The maximum duration (in days) that files in this folder can be kept after being added to the folder.

isLdapGroupMember
boolean

Indicates if the folder is part of an LDAP group.

isUnderMyFolder
boolean

Indicates if this folder is a subfolder of the user's "My Folder".

pathIds
string

A list of IDs representing the path of the folder within the folder hierarchy.

isRoot
boolean

Indicates if this folder is a root folder.

rootId
string

The ID of the root folder if this is a subfolder.

useFolderQuota
boolean

Indicates if a folder quota is applied to this folder.

quota
integer

The storage quota for the folder (in bytes).

size
integer

The total storage size used by the folder (in bytes).

freeSpace
integer

The amount of free space available in the folder (in bytes).

inheritanceEnabled
boolean

Indicates if a folder inherits permissions from the parent folder

isFavorite
boolean

Indicates if the folder is marked as a favorite by the user.

pushedFilesCount
integer

The number of files that have been pushed to mobile apps in this folder.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

avStatus
string

The Antivirus (AV) status of the folder.

dlpStatus
string

The Data Loss Prevention (DLP) status of the folder.

totalMembersCount
integer

Total number of members who have access to this folder.

totalFoldersCount
integer

Total number of subfolders within this folder.

totalFilesCount
integer

Total number of files within this folder.

maxFolderExpiration
string

The maximum expiration date allowed for files in this folder.

maxFileLifetime
integer

The maximum duration (in days) that files in this folder can be kept after being added to the folder.

isLdapGroupMember
boolean

Indicates if the folder is part of an LDAP group.

isUnderMyFolder
boolean

Indicates if this folder is a subfolder of the user's "My Folder".

pathIds
string

A list of IDs representing the path of the folder within the folder hierarchy.

isRoot
boolean

Indicates if this folder is a root folder.

rootId
string

The ID of the root folder if this is a subfolder.

useFolderQuota
boolean

Indicates if a folder quota is applied to this folder.

quota
integer

The storage quota for the folder (in bytes).

size
integer

The total storage size used by the folder (in bytes).

freeSpace
integer

The amount of free space available in the folder (in bytes).

inheritanceEnabled
boolean

Indicates if a folder inherits permissions from the parent folder

Unauthorized

Possible error codes: ERR_AUTH_INVALID_CSRF, ERR_AUTH_UNAUTHORIZED

code
string

Error code

message
string

Error message

Forbidden

Possible error codes: ERR_ACCESS_USER, ERR_ENTITY_CONTAINS_LOCKED_FILES, ERR_ENTITY_IS_BASE_DIR, ERR_ENTITY_IS_MY_DIR, ERR_ENTITY_IS_SECURE_FOLDER, ERR_ENTITY_IS_SYNC_DIR

code
string

Error code

message
string

Error message

Conflict

Possible error codes: ERR_ENTITY_EXISTS

code
string

Error code

message
string

Error message

Content Too Large

Possible error codes: ERR_SYSTEM_NO_STORAGE_AVAILABLE

code
string

Error code

message
string

Error message

Unprocessable Content

Possible error codes: ERR_CANNOT_MOVE_FOLDER_TO_SELF, ERR_CANNOT_MOVE_TO_CHILD, ERR_INVALID_PARAMETER

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X POST \
  "https://{instance}.kiteworks.com/rest/folders/:id/actions/move" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "destinationFolderId": "string",
         "addVersion": true
       }'
Python
import requests

id = "VALUE"  # The unique identifier (UUID) of the entity.

url = f"https://{{instance}}.kiteworks.com/rest/folders/{id}/actions/move"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json",
}
payload = {
  "destinationFolderId": "string",
  "addVersion": true
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())
Responses
{ "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "parentId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "name": "string", "type": "string", "userId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "creator": {} }
{ "errors": [ { "code": "ERR_AUTH_INVALID_CSRF", "message": "Invalid CSRF Authentication" } ] }
{ "errors": [ { "code": "ERR_AUTH_UNAUTHORIZED", "message": "Unauthorized" } ] }
{ "errors": [ { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } ] }
{ "errors": [ { "code": "ERR_ENTITY_CONTAINS_LOCKED_FILES", "message": "Folder contains locked files" } ] }
{ "errors": [ { "code": "ERR_ENTITY_IS_BASE_DIR", "message": "Operation not permitted on Base Folder" } ] }
{ "errors": [ { "code": "ERR_ENTITY_IS_MY_DIR", "message": "Operation not permitted on Tray Folder" } ] }
{ "errors": [ { "code": "ERR_ENTITY_IS_SECURE_FOLDER", "message": "Operation not permitted on restricted Folder." } ] }
{ "errors": [ { "code": "ERR_ENTITY_IS_SYNC_DIR", "message": "Operation not permitted on My Folder" } ] }
{ "errors": [ { "code": "ERR_ENTITY_EXISTS", "message": "Entity exists" } ] }
{ "errors": [ { "code": "ERR_SYSTEM_NO_STORAGE_AVAILABLE", "message": "Folder owner's remaining storage quota does not permit for a file upload of this size." } ] }
{ "errors": [ { "code": "ERR_CANNOT_MOVE_FOLDER_TO_SELF", "message": "Cannot move folder to itself" } ] }
{ "errors": [ { "code": "ERR_CANNOT_MOVE_TO_CHILD", "message": "Cannot move folder to its child" } ] }
{ "errors": [ { "code": "ERR_INVALID_PARAMETER", "message": "Invalid Parameter Exception" } ] }
// Error - No Body
DELETE/rest/folders/{id}/actions/permanent

Permanently delete the specified folder

Permanently delete the specified folder.
This folder will no longer be accessible by any means.

Parameters
Path Parameters
id
Required
string

The unique identifier (UUID) of the folder.


Responses

The folder was permanently deleted. No content is returned.

Empty response body.

Request blocked by WAF

Empty response body.
Shell
curl -X DELETE \
  "https://{instance}.kiteworks.com/rest/folders/:id/actions/permanent" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

id = "VALUE"  # The unique identifier (UUID) of the folder.

url = f"https://{{instance}}.kiteworks.com/rest/folders/{id}/actions/permanent"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.delete(url, headers=headers)
print(response.json())
Responses
// Request successful - No Body
// Error - No Body
PATCH/rest/folders/{id}/actions/recover

Recover deleted folder

Recover the specified folder. This un-marks the folder for deletion.

Parameters
Path Parameters
id
Required
string

The unique identifier (UUID) of the folder.

Query Parameters
returnEntity
Optional
boolean

If set to true, returns information about the newly created entity.

mode
Optional
string

Determines the detail level of the response body.


Responses

Returns the recovered folder with its updated metadata.

id
string

Unique identifier (UUID) of the folder.

parentId
string

Unique identifier (UUID) of the parent object.

name
string

Name of the object.

type
string

Type of the object.
f – File.
d – Folder.

userId
string

Unique identifier (UUID) who created the folder.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

The date and time when the object was created.

modified
string

The date and time when the object was last modified.

expire
string

Expiration timestamp of the object, if applicable.

id
integer

Unique identifier for the permission.

name
string

Name of the permission.

allowed
boolean

Indicates whether the permission is granted (True) or denied (False).

deleted
boolean

Indicates whether the object has been deleted.

permDeleted
boolean

Indicates whether the object has been permanently deleted.

permalink
string

Permanent URL link to access the object.

path
string

Path to the folder in the hierarchy.

objectId
string

Unique identifier (UUID) of the associated object (file or folder).

roleId
integer

Role assigned to the member.

userId
string

Unique identifier (UUID) of the user.

groupId
integer

Unique identifier of the LDAP group.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

id
integer

LDAP Group ID

name
string

LDAP Group name

dn
string

LDAP Group domain name

email
string

LDAP Group email

description
string

LDAP Group description

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

Date when the file or folder was shared.

inheritRoleId
integer

Inherited role ID from the parent folder, if applicable.

allowedFolderRoleId
integer[]

List of allowed folder role IDs.

email
string

Email associated with the member.

rank
integer

Rank of the member role.

originFolder
any
vendorDocId
string

Vendor document ID associated with the object.

vendorDocName
string

Name of the vendor document associated with the object.

secure
boolean

Indicates whether the folder or the parent folder containing the file is marked as secure.

source
integer

ID representing the source of the object (1 - Salesforce, 2 - Teams).

isShared
boolean

Indicates if the folder is shared with other users.

syncable
boolean

Indicates if the folder can be synced by Desktop Sync Client.

fileLifetime
integer

Time duration (in days) for which the files in this folder are kept after being added to the folder.

description
string

The description of the folder.

isFavorite
boolean

Indicates if the folder is marked as a favorite by the user.

pushedFilesCount
integer

The number of files that have been pushed to mobile apps in this folder.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

avStatus
string

The Antivirus (AV) status of the folder.

dlpStatus
string

The Data Loss Prevention (DLP) status of the folder.

totalMembersCount
integer

Total number of members who have access to this folder.

totalFoldersCount
integer

Total number of subfolders within this folder.

totalFilesCount
integer

Total number of files within this folder.

maxFolderExpiration
string

The maximum expiration date allowed for files in this folder.

maxFileLifetime
integer

The maximum duration (in days) that files in this folder can be kept after being added to the folder.

isLdapGroupMember
boolean

Indicates if the folder is part of an LDAP group.

isUnderMyFolder
boolean

Indicates if this folder is a subfolder of the user's "My Folder".

pathIds
string

A list of IDs representing the path of the folder within the folder hierarchy.

isRoot
boolean

Indicates if this folder is a root folder.

rootId
string

The ID of the root folder if this is a subfolder.

useFolderQuota
boolean

Indicates if a folder quota is applied to this folder.

quota
integer

The storage quota for the folder (in bytes).

size
integer

The total storage size used by the folder (in bytes).

freeSpace
integer

The amount of free space available in the folder (in bytes).

inheritanceEnabled
boolean

Indicates if a folder inherits permissions from the parent folder

Request blocked by WAF

Empty response body.
Shell
curl -X PATCH \
  "https://{instance}.kiteworks.com/rest/folders/:id/actions/recover" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

id = "VALUE"  # The unique identifier (UUID) of the folder.

url = f"https://{{instance}}.kiteworks.com/rest/folders/{id}/actions/recover"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.patch(url, headers=headers)
print(response.json())
Responses
{ "id": "abc12345def67890ab", "name": "Reports", "description": "Quarterly reports", "type": "d", "parent_id": "xyz98765cba43210fe", "deleted": false, "created": "2024-03-01T08:00:00+0000", "modified": "2024-07-01T10:00:00+0000", "syncable": false, "secure": false, "isFavorite": false, "isShared": false, "totalFilesCount": 5, "totalFoldersCount": 1, "totalMembersCount": 0, "avStatus": "clean", "dlpStatus": "clean" }
// Error - No Body
POST/rest/folders/{id}/actions/scan

Triggers on demand AV/DLP folder scan

Attempts to trigger an AV/DLP scan on requested folder.

Parameters
Path Parameters
id
Required
string

The unique identifier (UUID) of the folder.

Query Parameters
returnEntity
Optional
boolean

If set to true, returns information about the newly created entity.

folderId:in
Optional
string

List of folder IDs of entities to scan. Search for results that match any of the specified values for this parameter.

fileId:in
Optional
string

List of file IDs of entities to scan. Search for results that match any of the specified values for this parameter.

with
Optional
string

With parameters

mode
Optional
string

Determines the detail level of the response body.


Responses

Returns the folder with its scan status updated to reflect that a scan has been triggered.

id
string

Unique identifier (UUID) of the folder.

parentId
string

Unique identifier (UUID) of the parent object.

name
string

Name of the object.

type
string

Type of the object.
f – File.
d – Folder.

userId
string

Unique identifier (UUID) who created the folder.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

The date and time when the object was created.

modified
string

The date and time when the object was last modified.

expire
string

Expiration timestamp of the object, if applicable.

id
integer

Unique identifier for the permission.

name
string

Name of the permission.

allowed
boolean

Indicates whether the permission is granted (True) or denied (False).

deleted
boolean

Indicates whether the object has been deleted.

permDeleted
boolean

Indicates whether the object has been permanently deleted.

permalink
string

Permanent URL link to access the object.

path
string

Path to the folder in the hierarchy.

objectId
string

Unique identifier (UUID) of the associated object (file or folder).

roleId
integer

Role assigned to the member.

userId
string

Unique identifier (UUID) of the user.

groupId
integer

Unique identifier of the LDAP group.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

id
integer

LDAP Group ID

name
string

LDAP Group name

dn
string

LDAP Group domain name

email
string

LDAP Group email

description
string

LDAP Group description

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

Date when the file or folder was shared.

inheritRoleId
integer

Inherited role ID from the parent folder, if applicable.

allowedFolderRoleId
integer[]

List of allowed folder role IDs.

email
string

Email associated with the member.

rank
integer

Rank of the member role.

originFolder
any
vendorDocId
string

Vendor document ID associated with the object.

vendorDocName
string

Name of the vendor document associated with the object.

secure
boolean

Indicates whether the folder or the parent folder containing the file is marked as secure.

source
integer

ID representing the source of the object (1 - Salesforce, 2 - Teams).

isShared
boolean

Indicates if the folder is shared with other users.

syncable
boolean

Indicates if the folder can be synced by Desktop Sync Client.

fileLifetime
integer

Time duration (in days) for which the files in this folder are kept after being added to the folder.

description
string

The description of the folder.

isFavorite
boolean

Indicates if the folder is marked as a favorite by the user.

pushedFilesCount
integer

The number of files that have been pushed to mobile apps in this folder.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

avStatus
string

The Antivirus (AV) status of the folder.

dlpStatus
string

The Data Loss Prevention (DLP) status of the folder.

totalMembersCount
integer

Total number of members who have access to this folder.

totalFoldersCount
integer

Total number of subfolders within this folder.

totalFilesCount
integer

Total number of files within this folder.

maxFolderExpiration
string

The maximum expiration date allowed for files in this folder.

maxFileLifetime
integer

The maximum duration (in days) that files in this folder can be kept after being added to the folder.

isLdapGroupMember
boolean

Indicates if the folder is part of an LDAP group.

isUnderMyFolder
boolean

Indicates if this folder is a subfolder of the user's "My Folder".

pathIds
string

A list of IDs representing the path of the folder within the folder hierarchy.

isRoot
boolean

Indicates if this folder is a root folder.

rootId
string

The ID of the root folder if this is a subfolder.

useFolderQuota
boolean

Indicates if a folder quota is applied to this folder.

quota
integer

The storage quota for the folder (in bytes).

size
integer

The total storage size used by the folder (in bytes).

freeSpace
integer

The amount of free space available in the folder (in bytes).

inheritanceEnabled
boolean

Indicates if a folder inherits permissions from the parent folder

Forbidden

Possible error codes: ERR_ACCESS_USER

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X POST \
  "https://{instance}.kiteworks.com/rest/folders/:id/actions/scan" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

id = "VALUE"  # The unique identifier (UUID) of the folder.

url = f"https://{{instance}}.kiteworks.com/rest/folders/{id}/actions/scan"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.post(url, headers=headers)
print(response.json())
Responses
{ "id": "abc12345def67890ab", "name": "Reports", "type": "d", "parent_id": "xyz98765cba43210fe", "deleted": false, "avStatus": "pending", "dlpStatus": "pending" }
{ "errors": { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } }
// Error - No Body
POST/rest/folders/{id}/actions/sendMessage

Send message from a folder

Description:

Sends a message from the specified folder to members of the folder.

Precondition:

The user must be a member of the folder.

Response:

The message has been successfully sent to members.
Parameters
Path Parameters
id
Required
string

The unique identifier (UUID) of the entity.


Request Body
to
string[]

List of recipient user UUIDs (To field).

cc
string[]

List of recipient user UUIDs (CC field).

bcc
string[]

List of recipient user UUIDs (BCC field).

secureBody
boolean

If true, the message body is hidden from the notification email and is only visible to recipients when they open the secure link.

body
string

The body content of the email.

subject
Required
string

The subject of the email (maximum length: 998 characters).


Responses

The message has been successfully sent to members.

id
string

Unique identifier of the email.

senderId
string

Unique identifier of the sender.

templateId
integer

Unique identifier of the email template used.

status
string

Current status of the email (e.g., sent, draft, error, etc.).

type
string

Type of the email (e.g., original, reply, forward, etc.).

date
string

Date the email was last modified or sent.

deleted
boolean

Indicates if the email has been deleted.

withdrawnDate
string

Date when the email was withdrawn, if applicable.

emailPackageId
string

Unique identifier of the associated email package.

isPreview
boolean

Indicates whether the email is a view-only version, typically used for previewing attachments without enabling downloading.

isUserSent
boolean

Indicates whether the email was sent by the current user or another user.

watermark
string

Text watermark applied to the email attachments (applicable only for view-only version).

variable
string

The variable name

value
any

The variable value

userId
string

Unique identifier of the user associated with the recipient.

type
integer

Recipient type.
0 – To.
1 – CC.
2 – BCC.

email
string

Email address of the recipient.

isDistributionList
boolean

Indicates if the recipient is a distribution list rather than an individual user.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

secureBody
boolean

Indicates if the email body is secured.

modifiedDate
string

Date the email was last modified.

parentEmailId
string

Unique identifier of the parent email, if applicable.

userId
string

Unique identifier of the user who requested the return receipt.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

error
string

Error message associated with the email, if any.

subject
string

Subject line of the email.

attachmentCount
integer

Number of attachments in the email.

expirationDate
string

Expiration date of the email package, if applicable.

avStatus
string

Antivirus (AV) scan status of the email.

dlpStatus
string

Data Loss Prevention (DLP) scan status of the email.

hasTrackingAccess
boolean

Indicates if tracking access is enabled for the email.

userId
string

Unique identifier of the user associated with the recipient.

type
integer

Recipient type.
0 – To.
1 – CC.
2 – BCC.

email
string

Email address of the recipient.

isDistributionList
boolean

Indicates if the recipient is a distribution list rather than an individual user.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

revoked
boolean

Indicates whether the recipient's tracking access has been revoked.

policyDirective
integer

Indicates the restriction type applied to the email

isRead
boolean

Indicates if the email has been read.

bucket
string

The bucket where the email is stored. (e.g. inbox, sent, trash)

body
string

The body of the email.

id
string

Unique identifier of the email package.

selfCopy
boolean

Indicates whether the package includes a copy for the sender.

includeFingerprint
boolean

Indicates whether a fingerprint (hash) of the package should be included for verification.

expire
integer

Expiration time of the package in seconds from creation.

fileCount
any

Count of the files attached to the package.

deleted
boolean

Indicates whether the package has been marked as deleted.

acl
string

Access control list (ACL) associated with the package, specifying who can access it.

emailPackageId
string

Unique identifier for the email package containing the attachment.

attachmentId
string

Unique identifier for the attachment.

withdrawn
boolean

Indicates whether the attachment has been withdrawn.

name
string

Name of the DRM-protected file.

size
integer

Size of the DRM-protected file in bytes.

accessType
integer

Access type for the attachment (e.g., read-only, editable).

guid
string

Unique identifier (UUID) for the tag.

name
string

Display name of the tag.

type
string

Type category of the tag.

id
integer

Unique identifier for the permission.

name
string

Name of the permission.

allowed
boolean

Indicates whether the permission is granted (True) or denied (False).

objectId
string

Unique identifier for the file associated with the attachment.

name
string

Name of the attachment file.

size
integer

Size of the attachment file in bytes.

mime
string

The MIME type of the attachment file.

created
string

Date when the attachment file was created.

deleted
boolean

Indicates if the attachment has been deleted.

fingerprint
string

A unique hash identifying the file version.

fingerprintAlgo
string

The algorithm used for generating the file version fingerprint. (e.g., sha3-256, md5).

algo
string

The algorithm used to generate the fingerprint (e.g., sha3-256, md5).

hash
string

The resulting hash value representing the fingerprint of the file or object.

adminQuarantineStatus
string

Status of the attachment in the admin quarantine system.

avStatus
string

Antivirus (AV) scan status of the attachment.

dlpStatus
string

Data Loss Prevention (DLP) status of the attachment.

downloadLink
string

Link for accessing the email.

rawBody
string

Raw email body content without HTML markup.

headline
string

Headline or main title of the email.

notice
string

Notice part of the email.

fullHtmlBody
string

Full HTML body of the email.

emailFrom
string

The email address from which the email was sent.

templateBody
string

Body content generated from the email template.

webFormId
string

Unique identifier of the web form associated with the email.

webFormFields
any

Fields included in the associated web form with the mail.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

sharedMailboxId
string

Unique identifier of the shared mailbox, if applicable.

htmlBody
string

HTML version of the email body.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

darkModeStyle
string

CSS styles applied for dark mode.

exists
boolean

Indicates whether the email already exists in the system.

Unauthorized

Possible error codes: ERR_AUTH_INVALID_CSRF, ERR_AUTH_UNAUTHORIZED

code
string

Error code

message
string

Error message

Forbidden

Possible error codes: ERR_ACCESS_USER, ERR_ENTITY_DELETED

code
string

Error code

message
string

Error message

Unprocessable Content

Possible error codes: ERR_INVALID_PARAMETER

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X POST \
  "https://{instance}.kiteworks.com/rest/folders/:id/actions/sendMessage" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "to": [
         "string"
       ],
         "cc": [
         "string"
       ],
         "bcc": [
         "string"
       ],
         "secureBody": true,
         "body": "string",
         "subject": "string"
       }'
Python
import requests

id = "VALUE"  # The unique identifier (UUID) of the entity.

url = f"https://{{instance}}.kiteworks.com/rest/folders/{id}/actions/sendMessage"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json",
}
payload = {
  "to": [
  "string"
],
  "cc": [
  "string"
],
  "bcc": [
  "string"
],
  "secureBody": true,
  "body": "string",
  "subject": "string"
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())
Responses
{ "id": "string", "senderId": "string", "templateId": 1, "status": "string", "type": "string", "date": "2024-01-15" }
{ "errors": [ { "code": "ERR_AUTH_INVALID_CSRF", "message": "Invalid CSRF Authentication" } ] }
{ "errors": [ { "code": "ERR_AUTH_UNAUTHORIZED", "message": "Unauthorized" } ] }
{ "errors": [ { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } ] }
{ "errors": [ { "code": "ERR_ENTITY_DELETED", "message": "Entity is deleted" } ] }
{ "errors": [ { "code": "ERR_INVALID_PARAMETER", "message": "Invalid Parameter Exception" } ] }
// Error - No Body
GET/rest/folders/{id}/folders

List children folders of specified parent

Return the list of folders in the specified folder including its metadata.

Parameters
Path Parameters
id
Required
string

ID of the parent folder

Query Parameters
name
Optional
string

Folder name

name:contains
Optional
string

Folder name. Search for results that contain the specified characters in this parameter.

userId
Optional
string

Unique identifier of Object creator

userId:in
Optional
string

Unique identifier of Object creator. Search for results that match any of the specified values for this parameter.

created
Optional
string

Object creation date

created:gt
Optional
string

Object creation date. Search for results where this parameter value is greater than the specified value.

created:gte
Optional
string

Object creation date. Search for results where this parameter value is greater than or equal to the specified value.

created:lt
Optional
string

Object creation date. Search for results where this parameter value is less than the specified value.

created:lte
Optional
string

Object creation date. Search for results where this parameter value is less than or equal to the specified value.

modified
Optional
string

Object modification date

modified:gt
Optional
string

Object modification date. Search for results where this parameter value is greater than the specified value.

modified:gte
Optional
string

Object modification date. Search for results where this parameter value is greater than or equal to the specified value.

modified:lt
Optional
string

Object modification date. Search for results where this parameter value is less than the specified value.

modified:lte
Optional
string

Object modification date. Search for results where this parameter value is less than or equal to the specified value.

deleted
Optional
boolean

Indicates whether the object is deleted.

expire
Optional
integer

Expiration date

expire:gt
Optional
integer

Expiration date. Search for results where this parameter value is greater than the specified value.

expire:gte
Optional
integer

Expiration date. Search for results where this parameter value is greater than or equal to the specified value.

expire:lt
Optional
integer

Expiration date. Search for results where this parameter value is less than the specified value.

expire:lte
Optional
integer

Expiration date. Search for results where this parameter value is less than or equal to the specified value.

fileLifetime
Optional
integer

Folder lifetime

fileLifetime:gt
Optional
integer

Folder lifetime. Search for results where this parameter value is greater than the specified value.

fileLifetime:gte
Optional
integer

Folder lifetime. Search for results where this parameter value is greater than or equal to the specified value.

fileLifetime:lt
Optional
integer

Folder lifetime. Search for results where this parameter value is less than the specified value.

fileLifetime:lte
Optional
integer

Folder lifetime. Search for results where this parameter value is less than or equal to the specified value.

secure
Optional
boolean

Folder secure flag

description:contains
Optional
string

Folder description. Search for results that contain the specified characters in this parameter.

orderBy
Optional
string[]

Sorting options

offset
Optional
integer

Offset

limit
Optional
integer

Limit

locate_id
Optional
integer

If specified, "offset" parameter will be ignored
and the page containing entity with this Id will be returned.

with
Optional
string

With parameters

mode
Optional
string

Determines the detail level of the response body.


Responses

Returns a paginated list of child folders within the specified parent folder, including each folder's metadata.

id
string

Unique identifier (UUID) of the folder.

parentId
string

Unique identifier (UUID) of the parent object.

name
string

Name of the object.

type
string

Type of the object.
f – File.
d – Folder.

userId
string

Unique identifier (UUID) who created the folder.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

The date and time when the object was created.

modified
string

The date and time when the object was last modified.

expire
string

Expiration timestamp of the object, if applicable.

id
integer

Unique identifier for the permission.

name
string

Name of the permission.

allowed
boolean

Indicates whether the permission is granted (True) or denied (False).

deleted
boolean

Indicates whether the object has been deleted.

permDeleted
boolean

Indicates whether the object has been permanently deleted.

permalink
string

Permanent URL link to access the object.

path
string

Path to the folder in the hierarchy.

objectId
string

Unique identifier (UUID) of the associated object (file or folder).

roleId
integer

Role assigned to the member.

userId
string

Unique identifier (UUID) of the user.

groupId
integer

Unique identifier of the LDAP group.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

id
integer

LDAP Group ID

name
string

LDAP Group name

dn
string

LDAP Group domain name

email
string

LDAP Group email

description
string

LDAP Group description

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

Date when the file or folder was shared.

inheritRoleId
integer

Inherited role ID from the parent folder, if applicable.

allowedFolderRoleId
integer[]

List of allowed folder role IDs.

email
string

Email associated with the member.

rank
integer

Rank of the member role.

originFolder
any
vendorDocId
string

Vendor document ID associated with the object.

vendorDocName
string

Name of the vendor document associated with the object.

secure
boolean

Indicates whether the folder or the parent folder containing the file is marked as secure.

source
integer

ID representing the source of the object (1 - Salesforce, 2 - Teams).

isShared
boolean

Indicates if the folder is shared with other users.

syncable
boolean

Indicates if the folder can be synced by Desktop Sync Client.

fileLifetime
integer

Time duration (in days) for which the files in this folder are kept after being added to the folder.

description
string

The description of the folder.

isFavorite
boolean

Indicates if the folder is marked as a favorite by the user.

pushedFilesCount
integer

The number of files that have been pushed to mobile apps in this folder.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

avStatus
string

The Antivirus (AV) status of the folder.

dlpStatus
string

The Data Loss Prevention (DLP) status of the folder.

totalMembersCount
integer

Total number of members who have access to this folder.

totalFoldersCount
integer

Total number of subfolders within this folder.

totalFilesCount
integer

Total number of files within this folder.

maxFolderExpiration
string

The maximum expiration date allowed for files in this folder.

maxFileLifetime
integer

The maximum duration (in days) that files in this folder can be kept after being added to the folder.

isLdapGroupMember
boolean

Indicates if the folder is part of an LDAP group.

isUnderMyFolder
boolean

Indicates if this folder is a subfolder of the user's "My Folder".

pathIds
string

A list of IDs representing the path of the folder within the folder hierarchy.

isRoot
boolean

Indicates if this folder is a root folder.

rootId
string

The ID of the root folder if this is a subfolder.

useFolderQuota
boolean

Indicates if a folder quota is applied to this folder.

quota
integer

The storage quota for the folder (in bytes).

size
integer

The total storage size used by the folder (in bytes).

freeSpace
integer

The amount of free space available in the folder (in bytes).

inheritanceEnabled
boolean

Indicates if a folder inherits permissions from the parent folder

total
integer

Total number of items available.

limit
integer

Maximum number of items returned per page.

offset
integer

Number of items skipped before the current page.

Forbidden

Possible error codes: ERR_ACCESS_DLI_ADMIN

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/folders/:id/folders" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

id = "VALUE"  # ID of the parent folder

url = f"https://{{instance}}.kiteworks.com/rest/folders/{id}/folders"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
Responses
[ { "id": "abc12345def67890ab", "name": "Reports", "description": "Quarterly reports", "type": "d", "parent_id": "xyz98765cba43210fe", "deleted": false, "created": "2024-03-01T08:00:00+0000", "modified": "2024-06-15T14:22:00+0000", "syncable": false, "secure": false, "isFavorite": false, "isShared": true, "totalFilesCount": 12, "totalFoldersCount": 3, "totalMembersCount": 4, "avStatus": "clean", "dlpStatus": "clean" } ]
{ "errors": { "code": "ERR_ACCESS_DLI_ADMIN", "message": "Authenticated user is not a DLI Admin" } }
// Error - No Body
POST/rest/folders/{id}/folders

Create a folder

Description:

Creates a new folder under the specified parent folder.

Precondition:

User must have `folder_add` permission for the parent folder.

Response:

The new folder is created and its details are returned.
Parameters
Path Parameters
id
Required
string

The unique identifier (UUID) of the entity.

Query Parameters
returnEntity
Optional
boolean

If true, includes the entity in the response body.

with
Optional
string

Specifies additional fields to include in the response.

mode
Optional
string

Determines the detail level of the response body.


Request Body
name
Required
string

The name of the new folder (maximum 255 characters).

secure
boolean

Marks the folder as secure, restricting access to authorised recipients only. Can only be set on top-level folders under the user's root folder.

syncable
boolean

Indicates whether the folder can be synced by the Desktop Sync Client. Can only be set on top-level folders.

expire
string

The folder expiration date. Applicable to top-level folders only.

fileLifetime
integer

Number of days files are retained in this folder before expiring. Set to 0 for no expiration. Applicable to top-level folders.

rename
boolean

If true, automatically renames the folder if a folder with the same name already exists in the destination.

description
string

Optional description for the folder.

clientId
string

Client application identifier used to associate the folder with a specific plugin or integration.

vendorDocId
string

External vendor document ID to link this folder to a document in a third-party system.

vendorDocName
string

Display name of the linked vendor document.

isFolderUpload
boolean

Indicates whether this folder is being created as part of a folder upload operation. For internal use only.

useFolderQuota
boolean

Indicates whether this is a system folder with its own dedicated storage quota.

quota
integer

Storage quota for the folder in bytes. Must be one of the permitted sizes: 1 GB (1,073,741,824), 2 GB (2,147,483,648), 5 GB (5,368,709,120), 10 GB (10,737,418,240), 50 GB (53,687,091,200), or -1 for unlimited.

inheritanceEnabled
boolean

Indicates whether the folder inherits member permissions from its parent folder.


Responses

Folder created successfully.

id
string

Unique identifier (UUID) of the folder.

parentId
string

Unique identifier (UUID) of the parent object.

name
string

Name of the object.

type
string

Type of the object.
f – File.
d – Folder.

userId
string

Unique identifier (UUID) who created the folder.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

The date and time when the object was created.

modified
string

The date and time when the object was last modified.

expire
string

Expiration timestamp of the object, if applicable.

id
integer

Unique identifier for the permission.

name
string

Name of the permission.

allowed
boolean

Indicates whether the permission is granted (True) or denied (False).

deleted
boolean

Indicates whether the object has been deleted.

permDeleted
boolean

Indicates whether the object has been permanently deleted.

permalink
string

Permanent URL link to access the object.

path
string

Path to the folder in the hierarchy.

objectId
string

Unique identifier (UUID) of the associated object (file or folder).

roleId
integer

Role assigned to the member.

userId
string

Unique identifier (UUID) of the user.

groupId
integer

Unique identifier of the LDAP group.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

id
integer

LDAP Group ID

name
string

LDAP Group name

dn
string

LDAP Group domain name

email
string

LDAP Group email

description
string

LDAP Group description

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

Date when the file or folder was shared.

inheritRoleId
integer

Inherited role ID from the parent folder, if applicable.

allowedFolderRoleId
integer[]

List of allowed folder role IDs.

email
string

Email associated with the member.

rank
integer

Rank of the member role.

originFolder
any
vendorDocId
string

Vendor document ID associated with the object.

vendorDocName
string

Name of the vendor document associated with the object.

secure
boolean

Indicates whether the folder or the parent folder containing the file is marked as secure.

source
integer

ID representing the source of the object (1 - Salesforce, 2 - Teams).

isShared
boolean

Indicates if the folder is shared with other users.

syncable
boolean

Indicates if the folder can be synced by Desktop Sync Client.

fileLifetime
integer

Time duration (in days) for which the files in this folder are kept after being added to the folder.

description
string

The description of the folder.

id
string

Unique identifier (UUID) of the folder.

parentId
string

Unique identifier (UUID) of the parent object.

name
string

Name of the object.

type
string

Type of the object.
f – File.
d – Folder.

userId
string

Unique identifier (UUID) who created the folder.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

The date and time when the object was created.

modified
string

The date and time when the object was last modified.

expire
string

Expiration timestamp of the object, if applicable.

id
integer

Unique identifier for the permission.

name
string

Name of the permission.

allowed
boolean

Indicates whether the permission is granted (True) or denied (False).

deleted
boolean

Indicates whether the object has been deleted.

permDeleted
boolean

Indicates whether the object has been permanently deleted.

permalink
string

Permanent URL link to access the object.

path
string

Path to the folder in the hierarchy.

objectId
string

Unique identifier (UUID) of the associated object (file or folder).

roleId
integer

Role assigned to the member.

userId
string

Unique identifier (UUID) of the user.

groupId
integer

Unique identifier of the LDAP group.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

id
integer

LDAP Group ID

name
string

LDAP Group name

dn
string

LDAP Group domain name

email
string

LDAP Group email

description
string

LDAP Group description

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

Date when the file or folder was shared.

inheritRoleId
integer

Inherited role ID from the parent folder, if applicable.

allowedFolderRoleId
integer[]

List of allowed folder role IDs.

email
string

Email associated with the member.

rank
integer

Rank of the member role.

originFolder
any
vendorDocId
string

Vendor document ID associated with the object.

vendorDocName
string

Name of the vendor document associated with the object.

secure
boolean

Indicates whether the folder or the parent folder containing the file is marked as secure.

source
integer

ID representing the source of the object (1 - Salesforce, 2 - Teams).

isShared
boolean

Indicates if the folder is shared with other users.

syncable
boolean

Indicates if the folder can be synced by Desktop Sync Client.

fileLifetime
integer

Time duration (in days) for which the files in this folder are kept after being added to the folder.

description
string

The description of the folder.

isFavorite
boolean

Indicates if the folder is marked as a favorite by the user.

pushedFilesCount
integer

The number of files that have been pushed to mobile apps in this folder.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

avStatus
string

The Antivirus (AV) status of the folder.

dlpStatus
string

The Data Loss Prevention (DLP) status of the folder.

totalMembersCount
integer

Total number of members who have access to this folder.

totalFoldersCount
integer

Total number of subfolders within this folder.

totalFilesCount
integer

Total number of files within this folder.

maxFolderExpiration
string

The maximum expiration date allowed for files in this folder.

maxFileLifetime
integer

The maximum duration (in days) that files in this folder can be kept after being added to the folder.

isLdapGroupMember
boolean

Indicates if the folder is part of an LDAP group.

isUnderMyFolder
boolean

Indicates if this folder is a subfolder of the user's "My Folder".

pathIds
string

A list of IDs representing the path of the folder within the folder hierarchy.

isRoot
boolean

Indicates if this folder is a root folder.

rootId
string

The ID of the root folder if this is a subfolder.

useFolderQuota
boolean

Indicates if a folder quota is applied to this folder.

quota
integer

The storage quota for the folder (in bytes).

size
integer

The total storage size used by the folder (in bytes).

freeSpace
integer

The amount of free space available in the folder (in bytes).

inheritanceEnabled
boolean

Indicates if a folder inherits permissions from the parent folder

isFavorite
boolean

Indicates if the folder is marked as a favorite by the user.

pushedFilesCount
integer

The number of files that have been pushed to mobile apps in this folder.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

avStatus
string

The Antivirus (AV) status of the folder.

dlpStatus
string

The Data Loss Prevention (DLP) status of the folder.

totalMembersCount
integer

Total number of members who have access to this folder.

totalFoldersCount
integer

Total number of subfolders within this folder.

totalFilesCount
integer

Total number of files within this folder.

maxFolderExpiration
string

The maximum expiration date allowed for files in this folder.

maxFileLifetime
integer

The maximum duration (in days) that files in this folder can be kept after being added to the folder.

isLdapGroupMember
boolean

Indicates if the folder is part of an LDAP group.

isUnderMyFolder
boolean

Indicates if this folder is a subfolder of the user's "My Folder".

pathIds
string

A list of IDs representing the path of the folder within the folder hierarchy.

isRoot
boolean

Indicates if this folder is a root folder.

rootId
string

The ID of the root folder if this is a subfolder.

useFolderQuota
boolean

Indicates if a folder quota is applied to this folder.

quota
integer

The storage quota for the folder (in bytes).

size
integer

The total storage size used by the folder (in bytes).

freeSpace
integer

The amount of free space available in the folder (in bytes).

inheritanceEnabled
boolean

Indicates if a folder inherits permissions from the parent folder

Unauthorized

Possible error codes: ERR_AUTH_INVALID_CSRF, ERR_AUTH_UNAUTHORIZED

code
string

Error code

message
string

Error message

Forbidden

Possible error codes: ERR_ACCESS_DENIED, ERR_ACCESS_USER

code
string

Error code

message
string

Error message

Conflict

Possible error codes: ERR_ENTITY_EXISTS

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X POST \
  "https://{instance}.kiteworks.com/rest/folders/:id/folders" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "name": "string",
         "secure": true,
         "syncable": true,
         "expire": "2024-01-15",
         "fileLifetime": 1,
         "rename": true
       }'
Python
import requests

id = "VALUE"  # The unique identifier (UUID) of the entity.

url = f"https://{{instance}}.kiteworks.com/rest/folders/{id}/folders"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json",
}
payload = {
  "name": "string",
  "secure": true,
  "syncable": true,
  "expire": "2024-01-15",
  "fileLifetime": 1,
  "rename": true
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())
Responses
{ "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "parentId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "name": "string", "type": "string", "userId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "creator": {} }
{ "errors": [ { "code": "ERR_AUTH_INVALID_CSRF", "message": "Invalid CSRF Authentication" } ] }
{ "errors": [ { "code": "ERR_AUTH_UNAUTHORIZED", "message": "Unauthorized" } ] }
{ "errors": [ { "code": "ERR_ACCESS_DENIED", "message": "Your access is denied.", "redirectUrl": "/login?code=3317" } ] }
{ "errors": [ { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } ] }
{ "errors": [ { "code": "ERR_ENTITY_EXISTS", "message": "Entity exists" } ] }
// Error - No Body
GET/rest/folders/{id}/members

List folder members.

Description:

Returns a paginated list of members who have access to the specified folder.

Precondition:

User must have `user_view` permission for the folder.

Response:

A list of folder members is returned.

Sorting:

Sort string syntax `FIELD_NAME:ORDER`.

ORDER can be asc or desc.

Sorting options:


FIELD_NAMEDescription
idThe member ID
userIdThe user ID
groupIdThe group ID
roleIdThe role ID
rankThe rank of the role
emailThe member's email

Parameters
Path Parameters
id
Required
string

The unique identifier (UUID) of the entity.

Query Parameters
email
Optional
string

Filter results by email address.

userId
Optional
string

Filter results by user ID.

groupId
Optional
integer

Filter results by group ID.

roleId
Optional
integer

Filter results by role ID.

userId:in
Optional
string[]

Filter by a comma-separated list of user IDs. (Recommended request size <= 100)

groupId:in
Optional
string[]

Filter by a comma-separated list of LDAP Group IDs. (Recommended request size <= 100)

roleId:in
Optional
string[]

Filter by a comma-separated list of role IDs.

type
Optional
string

Filter members by the object type they have access to.
d – Directory (folder) membership.
f – File membership.

orderBy
Optional
string

Sort order for the results. Default is id:asc.
Allowed values: id:asc, id:desc, userId:asc, userId:desc, groupId:asc, groupId:desc, roleId:asc, roleId:desc, rank:asc, rank:desc, email:asc, email:desc.

limit
Optional
integer

Range limit.

offset
Optional
integer

Range offset.

with
Optional
string

Specifies additional fields to include in the response.

mode
Optional
string

Determines the detail level of the response body.


Responses

The folder members have been successfully returned.

objectId
string

Unique identifier (UUID) of the associated object (file or folder).

roleId
integer

Role assigned to the member.

userId
string

Unique identifier (UUID) of the user.

groupId
integer

Unique identifier of the LDAP group.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

id
integer

LDAP Group ID

name
string

LDAP Group name

dn
string

LDAP Group domain name

email
string

LDAP Group email

description
string

LDAP Group description

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

Date when the file or folder was shared.

inheritRoleId
integer

Inherited role ID from the parent folder, if applicable.

allowedFolderRoleId
integer[]

List of allowed folder role IDs.

email
string

Email associated with the member.

rank
integer

Rank of the member role.

originFolder
any
total
integer

Total number of items available.

limit
integer

Maximum number of items returned per page.

offset
integer

Number of items skipped before the current page.

Bad Request

Possible error codes: ERR_REQUEST_INVALID_JSON

code
string

Error code

message
string

Error message

Unauthorized

Possible error codes: ERR_AUTH_INVALID_CSRF, ERR_AUTH_UNAUTHORIZED

code
string

Error code

message
string

Error message

Forbidden

Possible error codes: ERR_SYSTEM_TENANT_SUSPENDED, ERR_ACCESS_USER, ERR_ACCESS_DENIED, ERR_ENTITY_DELETED

code
string

Error code

message
string

Error message

Unprocessable Content

Possible error codes: ERR_LICENSE_EXPIRED

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/folders/:id/members" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

id = "VALUE"  # The unique identifier (UUID) of the entity.

url = f"https://{{instance}}.kiteworks.com/rest/folders/{id}/members"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
Responses
{ "data": [ { "objectId": "string", "roleId": 1, "userId": "string", "groupId": 1, "user": {}, "role": {} } ], "metadata": {} }
{ "errors": [ { "code": "ERR_REQUEST_INVALID_JSON", "message": "Invalid json provided" } ] }
{ "errors": [ { "code": "ERR_AUTH_INVALID_CSRF", "message": "Invalid CSRF Authentication" } ] }
{ "errors": [ { "code": "ERR_AUTH_UNAUTHORIZED", "message": "Unauthorized" } ] }
{ "errors": [ { "code": "ERR_SYSTEM_TENANT_SUSPENDED", "message": "Access to the service is restricted by the service provider. Contact your administrator for updates on restoring normal access." } ] }
{ "errors": [ { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } ] }
{ "errors": [ { "code": "ERR_ACCESS_DENIED", "message": "Your access is denied.", "redirectUrl": "/login?code=3317" } ] }
{ "errors": [ { "code": "ERR_ENTITY_DELETED", "message": "Entity is deleted" } ] }
{ "errors": [ { "code": "ERR_LICENSE_EXPIRED", "message": "License has expired" } ] }
// Error - No Body
POST/rest/folders/{id}/members

Add members to a folder

Description:

Adds one or more users or LDAP groups as members of the specified folder.

Precondition:

User must have `user_add` permission for the folder.

Response:

The new members are added to the folder.
Parameters
Path Parameters
id
Required
string

The unique identifier (UUID) of the entity.

Query Parameters
updateIfExists
Optional
boolean

If set to true, updates the member if they already exist and have a different folder role.

partialSuccess
Optional
boolean

If set to true, the operation will continue for the valid items even if some items result in failure.

downgradeNested
Optional
boolean

If set to true, demote the user member role in all applicable nested folders.

returnEntity
Optional
boolean

If true, includes the entity in the response body.

with
Optional
string

Specifies additional fields to include in the response.

mode
Optional
string

Determines the detail level of the response body.


Request Body
notify
boolean

If set to true, notifies the user being invited to the folder via email.

emails
string[]

List of email addresses for new members.

userIds
string[]

List of user IDs for new members.

ldapGroupIds
integer[]

List of LDAP group IDs for new members.

roleId
Required
integer

The role ID to assign to the new members.

notifyFileAdded
boolean

If set to true, subscribes the user to notifications for file additions.


Responses

Members were added successfully.

code
string

Error code

message
string

Error message

field
string

Associated field, if applicable.

failedIds
string[]

List of failed IDs.

id
string

Access Verification ID

parentId
integer

Unique identifier of the parent object.

name
string

Name of the object.

type
string

Type of the object.
f – File.
d – Folder.

userId
string

Unique identifier (UUID) who created the object.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

The date and time when the object was created.

modified
string

The date and time when the object was last modified.

expire
string

Expiration timestamp of the object, if applicable.

id
integer

Unique identifier for the permission.

name
string

Name of the permission.

allowed
boolean

Indicates whether the permission is granted (True) or denied (False).

deleted
boolean

Indicates whether the object has been deleted.

permDeleted
boolean

Indicates whether the object has been permanently deleted.

permalink
string

Permanent URL link to access the object.

path
string

Path to the object in the hierarchy.

objectId
string

Unique identifier (UUID) of the associated object (file or folder).

roleId
integer

Role assigned to the member.

userId
string

Unique identifier (UUID) of the user.

groupId
integer

Unique identifier of the LDAP group.

user
object

User details of the member.

role
object

Role details assigned to the member.

group
object

Group details if the member belongs to a group.

sharedBy
object

Details of the user who shared the file or folder.

created
string

Date when the file or folder was shared.

inheritRoleId
integer

Inherited role ID from the parent folder, if applicable.

allowedFolderRoleId
integer[]

List of allowed folder role IDs.

email
string

Email associated with the member.

rank
integer

Rank of the member role.

originFolder
any
vendorDocId
string

Vendor document ID associated with the object.

vendorDocName
string

Name of the vendor document associated with the object.

secure
boolean

Indicates whether the folder or the parent folder containing the file is marked as secure.

source
integer

ID representing the source of the object (1 - Salesforce, 2 - Teams).

id
string

Requirement ID

parentId
integer

Unique identifier of the parent object.

name
string

Name of the object.

type
string

Type of the object.
f – File.
d – Folder.

userId
string

Unique identifier (UUID) who created the object.

creator
object

Details of the user who created the object.

created
string

The date and time when the object was created.

modified
string

The date and time when the object was last modified.

expire
string

Expiration timestamp of the object, if applicable.

permissions
Permission[]

List of permissions associated with the object.

deleted
boolean

Indicates whether the object has been deleted.

permDeleted
boolean

Indicates whether the object has been permanently deleted.

permalink
string

Permanent URL link to access the object.

path
string

Path to the object in the hierarchy.

members
Member[]

List of members who have access to the object.

vendorDocId
string

Vendor document ID associated with the object.

vendorDocName
string

Name of the vendor document associated with the object.

secure
boolean

Indicates whether the folder or the parent folder containing the file is marked as secure.

source
integer

ID representing the source of the object (1 - Salesforce, 2 - Teams).

approvers
any

List of approvers for the requirement

asset_class
object

Asset class associated with the requirement

matched_recipients
string[]

List of succeeded recipient emails.

referenceId
string

Reference ID for the error

successIds
string[]

List of succeeded IDs.

objectId
string

Unique identifier (UUID) of the associated object (file or folder).

roleId
integer

Role assigned to the member.

userId
string

Unique identifier (UUID) of the user.

groupId
integer

Unique identifier of the LDAP group.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

id
integer

LDAP Group ID

name
string

LDAP Group name

dn
string

LDAP Group domain name

email
string

LDAP Group email

description
string

LDAP Group description

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

Date when the file or folder was shared.

inheritRoleId
integer

Inherited role ID from the parent folder, if applicable.

allowedFolderRoleId
integer[]

List of allowed folder role IDs.

email
string

Email associated with the member.

rank
integer

Rank of the member role.

originFolder
any

Some members were added successfully, while others failed.

code
string

Error code

message
string

Error message

field
string

Associated field, if applicable.

failedIds
string[]

List of failed IDs.

id
string

Access Verification ID

parentId
integer

Unique identifier of the parent object.

name
string

Name of the object.

type
string

Type of the object.
f – File.
d – Folder.

userId
string

Unique identifier (UUID) who created the object.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

The date and time when the object was created.

modified
string

The date and time when the object was last modified.

expire
string

Expiration timestamp of the object, if applicable.

id
integer

Unique identifier for the permission.

name
string

Name of the permission.

allowed
boolean

Indicates whether the permission is granted (True) or denied (False).

deleted
boolean

Indicates whether the object has been deleted.

permDeleted
boolean

Indicates whether the object has been permanently deleted.

permalink
string

Permanent URL link to access the object.

path
string

Path to the object in the hierarchy.

objectId
string

Unique identifier (UUID) of the associated object (file or folder).

roleId
integer

Role assigned to the member.

userId
string

Unique identifier (UUID) of the user.

groupId
integer

Unique identifier of the LDAP group.

user
object

User details of the member.

role
object

Role details assigned to the member.

group
object

Group details if the member belongs to a group.

sharedBy
object

Details of the user who shared the file or folder.

created
string

Date when the file or folder was shared.

inheritRoleId
integer

Inherited role ID from the parent folder, if applicable.

allowedFolderRoleId
integer[]

List of allowed folder role IDs.

email
string

Email associated with the member.

rank
integer

Rank of the member role.

originFolder
any
vendorDocId
string

Vendor document ID associated with the object.

vendorDocName
string

Name of the vendor document associated with the object.

secure
boolean

Indicates whether the folder or the parent folder containing the file is marked as secure.

source
integer

ID representing the source of the object (1 - Salesforce, 2 - Teams).

id
string

Requirement ID

parentId
integer

Unique identifier of the parent object.

name
string

Name of the object.

type
string

Type of the object.
f – File.
d – Folder.

userId
string

Unique identifier (UUID) who created the object.

creator
object

Details of the user who created the object.

created
string

The date and time when the object was created.

modified
string

The date and time when the object was last modified.

expire
string

Expiration timestamp of the object, if applicable.

permissions
Permission[]

List of permissions associated with the object.

deleted
boolean

Indicates whether the object has been deleted.

permDeleted
boolean

Indicates whether the object has been permanently deleted.

permalink
string

Permanent URL link to access the object.

path
string

Path to the object in the hierarchy.

members
Member[]

List of members who have access to the object.

vendorDocId
string

Vendor document ID associated with the object.

vendorDocName
string

Name of the vendor document associated with the object.

secure
boolean

Indicates whether the folder or the parent folder containing the file is marked as secure.

source
integer

ID representing the source of the object (1 - Salesforce, 2 - Teams).

approvers
any

List of approvers for the requirement

asset_class
object

Asset class associated with the requirement

matched_recipients
string[]

List of succeeded recipient emails.

referenceId
string

Reference ID for the error

successIds
string[]

List of succeeded IDs.

objectId
string

Unique identifier (UUID) of the associated object (file or folder).

roleId
integer

Role assigned to the member.

userId
string

Unique identifier (UUID) of the user.

groupId
integer

Unique identifier of the LDAP group.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

id
integer

LDAP Group ID

name
[...]
